// Generated by CoffeeScript 1.9.0
var setLongCount;

setLongCount = function() {
  var gcDate, gcDay, gcMonth, gcText, lcBaktun, lcKatun, lcKin, lcText, lcTun, lcWinal, longcount;
  lcBaktun = $('input#lc-baktun').val();
  lcKatun = $('input#lc-katun').val();
  lcTun = $('input#lc-tun').val();
  lcWinal = $('input#lc-winal').val();
  lcKin = $('input#lc-kin').val();
  lcText = 'Longcount: ' + lcBaktun + '.';
  lcText = lcText + ' ' + lcKatun + ".";
  lcText = lcText + ' ' + lcTun + '.';
  lcText = lcText + ' ' + lcWinal + '.';
  lcText = lcText + ' ' + lcKin;
  longcount = lcText;
  $('div#date-longcount-modal' + ' div.' + field + ' input').val(longcount);
  $('input#lc-baktun').val('');
  $('input#lc-katun').val('');
  $('input#lc-tun').val('');
  $('input#lc-winal').val('');
  $('input#lc-kin').val('');
  gcMonth = $('input#gc-month').val();
  gcDay = $('input#gc-day').val();
  gcText = 'Gregoarian Date: ' + gcYear + '.';
  gcText = gcText + ' ' + gcMonth + '.';
  gcText = gcText + ' ' + gcDay;
  gcDate = gcText;
  $('div#date-longcount-modal' + ' div.' + field + ' input').val(gcDate);
  $('input#gc-year').val('');
  $('input#gc-month').val('');
  return $('input#gc-date').val('');
};


/* Interaction */

$(document).on("click", "li#date-longcount-set", function(e) {
  var $this, currentField;
  console.log("huhu");
  e.preventDefault();
  $this = $(this);
  currentField = $this.closest("div.form-group");
  return $('div#date-longcount-modal').modal('show');
});


/* Run */
